Document Comments
Operations of the Knowledge Base API. Paths are relative to your deployment's API host.
GET /api/knowledge-base-api/pages/{pageId}/comments
List comments on a document page (OPEN + RESOLVED + STALE)
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
pageId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json DocumentCommentResponseDtoDataArrayEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/knowledge-base-api/pages/{pageId}/comments
Add a comment (top-level or threaded reply)
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
pageId | path | string | yes |
Request body: application/json CreateDocumentCommentDto
| Status | Description | Body |
|---|---|---|
| 201 | application/json DocumentCommentResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |
POST /api/knowledge-base-api/pages/{pageId}/comments/{commentId}/resolve
Mark a comment as RESOLVED
Authentication: bearer token (Authorization: Bearer <token>)
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
commentId | path | string | yes | |
pageId | path | string | yes |
| Status | Description | Body |
|---|---|---|
| 200 | application/json DocumentCommentResponseDtoDataEnvelope | |
| 400 | application/problem+json ProblemDetailsDto | |
| 401 | application/problem+json ProblemDetailsDto | |
| 403 | application/problem+json ProblemDetailsDto | |
| 404 | application/problem+json ProblemDetailsDto | |
| 409 | application/problem+json ProblemDetailsDto | |
| 422 | application/problem+json ProblemDetailsDto | |
| 500 | application/problem+json ProblemDetailsDto |